<?php
/**
 * Created by PhpStorm.
 * User: tandunzhao
 * Date: 2017/11/20
 * Time: 下午5:26
 */

namespace App\Console\Commands;

use App\Modules\User\Services\UserSubscribeBehaviorStatsService;
use Log;
use Illuminate\Console\Command;
use DB;


class UserSubscribleStatistic extends Command
{
    /**
     * 执行命令   php artisan force_user_active
     *
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'user_subscribe_statistic';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = '强关用户行为统计';

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {

        print_r("======每日强关用户行为生成2 【任务执行开始】=====".date("y-m-d H:i:s"."\n"));
        Log::info("======每日强关用户行为生成2 【任务执行开始】=====".date("y-m-d H:i:s"."\n"));

        UserSubscribeBehaviorStatsService::generateData();

        Log::info("======每日强关用户行为生成2 【任务执行结束】=====" . date("y-m-d H:i:s" . "\n"));
        print_r("======每日强关用户行为生成2 【任务执行结束】=====" . date("y-m-d H:i:s" . "\n"));

    }
}